Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.event.common
Class EventRegistrationException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--weblogic.event.common.EventRegistrationException

public class EventRegistrationException
extends java.lang.Exception

Class for exceptions generated during event registration.

Author:
  Copyright (c) 1996-1998 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1998-1999 by BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`EventRegistrationException()` Default constructor for serialization
`EventRegistrationException(java.lang.String s)` Constructs an EventRegistrationException with the specified string.
`EventRegistrationException(java.lang.String s, boolean noop)` Constructs an EventRegistrationException with the specified string and sets options.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EventRegistrationException

    public EventRegistrationException()

  Default constructor for serialization

### EventRegistrationException

    public EventRegistrationException(java.lang.String s)

  Constructs an EventRegistrationException with the specified string.

  Parameters:
    `s` - String msg

### EventRegistrationException

    public EventRegistrationException(java.lang.String s,
                                      boolean noop)

  Constructs an EventRegistrationException with the specified string and sets options.

  Parameters:
    `s` - String msg
    `noop` - Options

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD